//
//     Copyright 2006 Jim Bublitz <jbublitz@nwinternet.com>
//     Earlier copyrights 1998 - 2005 Jim Bublitz and/or Phil Thompson
//     may also apply


//                 Generated by preSip
//            module tdeui  version KDE_3_5_2

%Copying

 This software is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License, or (at your option) any later version.

 This software is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public
 License along with this library; see the file COPYING.
 If not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

%End

%Module tdeui

%Import qt/qtmod.sip
%Import qtxml/qtxmlmod.sip
%Import dcopmod.sip
%Import tdecoremod.sip
%Import tdefxmod.sip

%Include tdeaboutapplication.sip
%Include tdeaboutdialog.sip
%Include tdeabouttde.sip
%Include tdeaction.sip
%Include tdeactionshortcutlist.sip
%Include kactivelabel.sip
%Include kanimwidget.sip
%Include karrowbutton.sip
%Include kauthicon.sip
%Include kbugreport.sip
%Include kbuttonbox.sip
%Include kcharselect.sip
%Include kcmenumngr.sip
%Include tdecmodule.sip
%Include kcolorbtn.sip
%Include kcolorcombo.sip
%Include kcolordialog.sip
%Include kcolordrag.sip
%Include kcombobox.sip
%Include kcommand.sip
%Include tdecompletionbox.sip
%Include kcursor.sip
%Include kdatepicker.sip
%Include kdatetbl.sip
%Include kdatewidget.sip
%Include kdcopactionproxy.sip
%Include kdialog.sip
%Include kdialogbase.sip
%Include kdockwidget.sip
%Include kdualcolorbutton.sip
%Include keditcl.sip
%Include keditlistbox.sip
%Include kedittoolbar.sip
%Include tdefontcombo.sip
%Include tdefontdialog.sip
%Include kguiitem.sip
%Include khelpmenu.sip
%Include kiconview.sip
%Include kjanuswidget.sip
%Include kkeybutton.sip
%Include kkeydialog.sip
%Include kled.sip
%Include klineedit.sip
%Include klineeditdlg.sip
%Include tdelistbox.sip
%Include tdelistview.sip
%Include tdemainwindow.sip
%Include tdemainwindowiface.sip
%Include tdemenubar.sip
%Include tdemessagebox.sip
%Include knuminput.sip
%Include knumvalidator.sip
%Include kpanelapplet.sip
%Include kpanelappmenu.sip
%Include kpanelextension.sip
%Include kpanelmenu.sip
%Include kpassdlg.sip
%Include kpixmapio.sip
%Include tdepopupmenu.sip
%Include kprogress.sip
%Include kpushbutton.sip
%Include krestrictedline.sip
%Include krootpixmap.sip
%Include kruler.sip
%Include tdeselect.sip
%Include kseparator.sip
%Include ksqueezedtextlabel.sip
%Include kstatusbar.sip
%Include kstdaction.sip
%Include kstdguiitem.sip
%Include kstringvalidator.sip
%Include ksystemtray.sip
%Include ktabctl.sip
%Include ktextbrowser.sip
%Include ktip.sip
%Include tdetoolbar.sip
%Include tdetoolbarbutton.sip
%Include tdetoolbarradiogroup.sip
%Include kurllabel.sip
%Include twindowlistmenu.sip
%Include kwizard.sip
%Include kwordwrap.sip
%Include kxmlguibuilder.sip
%Include kxmlguiclient.sip
%Include kxmlguifactory.sip
%Include qxembed.sip
@mark@
